/*  zweic -- a compiler for Zwei
 *
 *  Stephane Micheloud & LAMP
 *
 *  $Id: ScannerTest.java 2171 2005-11-14 16:21:35 +0100 (Mon, 14 Nov 2005) michelou $
 */

package zweic;

import java.io.*;


/**
 * A small scanner test class; it reads in a file and prints out
 * the sequence of tokens.
 *
 * usage: java zweic.ScannerTest <file.zwei>
 */
public class ScannerTest implements Tokens {
    public static void main(String[] args) {
        if (args.length != 1) {
            System.err.println("usage: java zweic.ScannerTest <file.zwei>");
            System.exit(1);
        }
        try {
            InputStreamReader in = new FileReader(args[0]);
            Scanner s = new Scanner(in);
            while (s.token != EOF) {
                System.out.println(s.representation());
                s.nextToken();
            }
            in.close();
        }
        catch (IOException e) {
            Report.fail(e.getMessage());
        }
    }
}
